Package org.apache.sling.scripting.sightly.java.compiler.impl.operator

## Class StrictEqGenOp

- java.lang.Object
- - org.apache.sling.scripting.sightly.java.compiler.impl.operator.StrictEqGenOp

All Implemented Interfaces:
  `BinaryOpGen`

    public class StrictEqGenOp
    extends Object
    implements BinaryOpGen

Generator for strict equality

### Constructor Summary

Constructors
`StrictEqGenOp​(boolean negated)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `generate​(org.apache.sling.scripting.sightly.java.compiler.impl.JavaSource source, org.apache.sling.scripting.sightly.java.compiler.impl.ExpressionTranslator visitor, TypedNode left, TypedNode right)`
`org.apache.sling.scripting.sightly.java.compiler.impl.Type` `returnType​(org.apache.sling.scripting.sightly.java.compiler.impl.Type leftType, org.apache.sling.scripting.sightly.java.compiler.impl.Type rightType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StrictEqGenOp

    public StrictEqGenOp​(boolean negated)

### Method Detail

#### returnType

    public org.apache.sling.scripting.sightly.java.compiler.impl.Type returnType​(org.apache.sling.scripting.sightly.java.compiler.impl.Type leftType,
                                                                                 org.apache.sling.scripting.sightly.java.compiler.impl.Type rightType)

Specified by:
  `returnType` in interface `BinaryOpGen`

#### generate

    public void generate​(org.apache.sling.scripting.sightly.java.compiler.impl.JavaSource source,
                         org.apache.sling.scripting.sightly.java.compiler.impl.ExpressionTranslator visitor,
                         TypedNode left,
                         TypedNode right)

Specified by:
  `generate` in interface `BinaryOpGen`